### Class

# Snapd Change

since: 1.5

#### Description [src]

    final class Snapd.Change : GObject.Object
    {
      /* No available fields */
    }

`SnapdChange` contains information on a current Snap transaction.

Available since: 1.5

#### Ancestors

- GObject

#### Instance methods

###### snapd_change_get_data

Get the data field for this change.

since: 1.65

###### snapd_change_get_error

Gets the error string associated with this change.

since: 1.30

###### snapd_change_get_id

Get the unique ID for this change.

since: 1.5

###### snapd_change_get_kind

Gets the kind of change this is.

since: 1.5

###### snapd_change_get_ready

Get if this change is completed.

since: 1.5

###### snapd_change_get_ready_time

Get the time this task completed or `NULL` if not yet completed.

since: 1.5

###### snapd_change_get_spawn_time

Get the time this change started.

since: 1.5

###### snapd_change_get_status

Get the status of the change.

since: 1.5

###### snapd_change_get_summary

Get a human readable description of the change.

since: 1.5

###### snapd_change_get_tasks

Get the tasks that are in this change.

since: 1.5

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Change:data

No description available.

###### Snapd.Change:error

No description available.

###### Snapd.Change:id

No description available.

###### Snapd.Change:kind

No description available.

###### Snapd.Change:ready

No description available.

###### Snapd.Change:ready-time

No description available.

###### Snapd.Change:spawn-time

No description available.

###### Snapd.Change:status

No description available.

###### Snapd.Change:summary

No description available.

###### Snapd.Change:tasks

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdChangeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.